#
# spec file for package zutils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zutils
Version:        1.4
Release:        3.2
Summary:        Collection of utilities for dealing with compressed files
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
Url:            http://www.nongnu.org/zutils/zutils.html
Source0:        http://download.savannah.gnu.org/releases/zutils/zutils-%{version}.tar.lz
Source1:        http://download.savannah.gnu.org/releases/zutils/zutils-%{version}.tar.lz.sig
Source2:        %{name}.keyring
BuildRequires:  gcc-c++
BuildRequires:  lzip
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
Conflicts:      gzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zutils is a collection of utilities able to deal with any combination of compressed and uncompressed files transparently. If any given file, including standard input, is compressed, its decompressed content is used. Compressed files are decompressed on the fly; no temporary files are created.
These utilities are not wrapper scripts but safer and more efficient C++ programs. In particular the "--recursive" option is very efficient in those utilities supporting it.

%prep
%setup -q

%build
%configure
make CXXFLAGS="%{optflags}" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%config %{_sysconfdir}/zutilsrc
%{_bindir}/zcat
%{_bindir}/zcmp
%{_bindir}/zdiff
%{_bindir}/zegrep
%{_bindir}/zfgrep
%{_bindir}/zgrep
%{_bindir}/ztest
%{_bindir}/zupdate
%{_infodir}/zutils.info.gz
%{_mandir}/man1/zcat.1.gz
%{_mandir}/man1/zcmp.1.gz
%{_mandir}/man1/zdiff.1.gz
%{_mandir}/man1/zgrep.1.gz
%{_mandir}/man1/ztest.1.gz
%{_mandir}/man1/zupdate.1.gz

%changelog
* Sun Jan  3 2016 p.drouand@gmail.com
- Update to version 1.4
  * Option '--format' has been renamed to '-O, --force-format'.
  * Added new option '-M, --format=<list>' to all utilities.
* Sat Apr 18 2015 mpluskal@suse.com
- Conflict with gzip
* Sat Apr 18 2015 mpluskal@suse.com
- Initial package for version 1.3
